dbt Gitリポジトリ一覧取得

Prev Next
Get
/api/dbt_git_repositories
Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
API KEYの作成方法は、TROCCO API KEYの作成を参照ください。

Query parameters
limit
integer (int64)

取得するdbt Gitリポジトリの最大件数

Maximum200
Default50
cursor
string

取得するdbt Gitリポジトリ一覧の最初のレコードを示すページネーションカーソル
レスポンスに含まれるnext_cursorをセットすると、後続のdbt Gitリポジトリ一覧を取得できます。

ExampleeyJpZCI6MjF9
Responses
200

dbt Gitリポジトリ一覧を返します。

Expand All
object
items
Array of object
object
id
integer (int64)

dbt Gitリポジトリ ID

Example1
name
string

dbt Gitリポジトリ名

Examplesample_repository
description
string | null

説明

Exampleサンプルリポジトリ
adapter_type
string
Valid values[ "bigquery", "snowflake", "redshift" ]
Examplebigquery
dbt_version
string
Valid values[ "1.8", "1.9", "1.10", "1.11" ]
Example1.11
url
string
Examplegit@github.com:trocco-io/dbt-sample.git
ref_type
string
Valid values[ "branch", "tag", "commit_hash" ]
Examplebranch
branch
string | null
Examplemain
tag
string | null
Examplev1.0.0
commit_hash
string | null
Example0123456789abcdef0123456789abcdef01234567
subdirectory
string | null
Exampledbt/
resource_group_id
integer (int64) | null
Example1
created_at
string
Example2023-08-22T18:00:00+00:00
updated_at
string
Example2023-08-22T18:00:00+00:00
next_cursor
string

後続のページネーションリクエストの取得開始レコードを示すカーソル値です。

400

不正なリクエストです。

401

API KEYが不正です。